#pragma once
#include <vector>
#include <glm/glm.hpp>
#include "VertexArray.h"
#include "Buffer.h"

namespace BarinkEngine{

	struct Vertex {
		glm::vec3 vertices;
		glm::vec2 uv;
	};

	class Mesh {
	public:
		std::vector<Vertex> vertices;
		std::vector<unsigned int> elements;
	
	private:
		GpuBuffer vertexBuffer;
		GpuBuffer elementBuffer;
		VertexArray VAO;
		unsigned int UV_id;
	};

}